[Solution] The following signatures were invalid: EXPKEYSIG B188E2B695BD4743 DEB.SURY.ORG

Simple fix for error “The following signatures were invalid: EXPKEYSIG B188E2B695BD4743 DEB.SURY.ORG Automatic Signing Key” that appears when trying to update packages on Debian systems.

Err:10 https://packages.sury.org/php bullseye InRelease
  The following signatures were invalid: EXPKEYSIG B188E2B695BD4743 DEB.SURY.ORG Automatic Signing Key <deb@sury.org>
Fetched 14.1 kB in 1s (14.5 kB/s)
Reading package lists... Done
W: An error occurred during the signature verification. The repository is not updated and the previous index files will be used. GPG error: https://packages.sury.org/php bullseye InRelease: The following signatures were invalid: EXPKEYSIG B188E2B695BD4743 DEB.SURY.ORG Automatic Signing Key <deb@sury.org>
W: Failed to fetch https://packages.sury.org/php/dists/bullseye/InRelease  The following signatures were invalid: EXPKEYSIG B188E2B695BD4743 DEB.SURY.ORG Automatic Signing Key <deb@sury.org>
W: Some index files failed to download. They have been ignored, or old ones used instead.

This bug also prevents packages from being updated on Debian servers with WordOops. (wo stack upgrade).

Related: How to Install and Configure LEMP on Debian 12

The following signatures were invalid: EXPKEYSIG B188E2B695BD4743 DEB.SURY.ORG Automatic Signing Key

This error occurs because sury.org changed the digital signature key for Debian, and to fix the problem you need to download the new key.

apt-key adv --fetch-keys https://packages.sury.org/php/apt.gpg

After running this command, you can update all Debian packages:

apt update && apt upgrade

Those who use WordOps will run the command line:

wo stack upgrade

Everything will work without problems in updating packages on Debian.

Passionate about technology, I enjoy writing on StealthSettings.com since 2006. I have a rich experience in operating systems: macOS, Windows, and Linux, as well as in programming languages and blogging platforms (WordPress) and for online stores (WooCommerce, Magento, PrestaShop).

How to » Linux » [Solution] The following signatures were invalid: EXPKEYSIG B188E2B695BD4743 DEB.SURY.ORG
Leave a Comment